Description

Hi,

using the REST API with two queries of the same type works for 'tracker_id' like this: 

http://www.redmine.org/issues.xml?tracker_id=1&tracker_id=2

which returns all issues with id 1 or 2 but fails for 'created_on' 

http://www.redmine.org/issues.xml?created_on=>=2012-03-01&created_on=<=2012-03-02

which returns all issues created before 2012-03-02. Any chance to fix this?

History

#1 - 2012-03-07 13:17 - Sridhar P

I can replicate this on trunk at rev 9245.

#2 - 2012-03-07 13:18 - Sridhar P

Sridhar P wrote:

I can replicate this on trunk at rev 9245.

 Sorry, rev 9145

#3 - 2012-03-07 13:45 - Etienne Massip

Use >< operator for "between": http://www.redmine.org/issues.xml?created_on=>&lt;2012-03-01|2012-03-02.

#4 - 2012-03-07 13:56 - Markus Korber

- Status changed from New to Resolved

Thanks Etienne, this works as expected.  Two more questions:

Is this somewhere in the docs?

Can we close #8842 too?

#5 - 2012-03-07 13:57 - Sridhar P

Updated the documentation, http://www.redmine.org/projects/redmine/wiki/Rest_Issues

When I try this url on my machine (with webrick), I am getting this error:

================================================================

Bad Request

bad URI `/issues.xml?created_on=%3E%3C2012-03-01|2012-03-02'.

================================================================

Is this expected with webrick?

#6 - 2012-03-07 14:43 - Etienne Massip
http://www.redmine.org/issues.xml?created_on=>&lt;2012-03-01%7C2012-03-02
https://www.redmine.org/issues/8842
http://www.redmine.org/projects/redmine/wiki/Rest_Issues


Sridhar P wrote:

Updated the documentation, http://www.redmine.org/projects/redmine/wiki/Rest_Issues

 Thanks for that.

Is this expected with webrick?

 No. Use the fully encoded form: http://www.redmine.org/issues.xml?created_on=%3E%3C2012-03-01%7C2012-03-02

#7 - 2012-03-07 14:43 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
